<template>
	<uni-easyinput :inputBorder="false" class="w-form-input" v-if="!readonly" type="textarea" v-model="_value" :placeholder="props.formProps.placeholder || '请输入内容'"/>
	<text class="w-form-input-rv" v-else>{{_value}}</text>
</template>

<script setup>
	import {computed} from 'vue'
	
	const props = defineProps({
		formProps: {
			type: Object,
			default: () => {
				return {}
			}
		},
		modelValue: String,
		readonly: Boolean
	})
	
	const _value = computed({
		get() {
			return props.modelValue
		},
		set(val) {
			emits('update:modelValue', val)
		}
	})
	
	const emits = defineEmits(['update:modelValue'])
	
</script>

<style>
</style>